Skip to main content
POST
/
brands
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const brand = await client.brands.create();

console.log(brand.brand_id);
import os
from dodopayments import DodoPayments

client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
brand = client.brands.create()
print(brand.brand_id)
package main

import (
"context"
"fmt"

"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)

func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
brand, err := client.Brands.New(context.TODO(), dodopayments.BrandNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brand.BrandID)
}
package com.dodopayments.api.example;

import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.brands.Brand;
import com.dodopayments.api.models.brands.BrandCreateParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

Brand brand = client.brands().create();
}
}
package com.dodopayments.api.example

import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.brands.Brand
import com.dodopayments.api.models.brands.BrandCreateParams

fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

val brand: Brand = client.brands().create()
}
require "dodopayments"

dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)

brand = dodo_payments.brands.create

puts(brand)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;

$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);

try {
$brand = $client->brands->create(
description: 'description',
name: 'name',
statementDescriptor: 'statement_descriptor',
supportEmail: 'support_email',
url: 'url',
);

var_dump($brand);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Brands;

DodoPaymentsClient client = new();

BrandCreateParams parameters = new();

var brand = await client.Brands.Create(parameters);

Console.WriteLine(brand);
use dodopayments::Client;

#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let result = client
.brands()
.create()
.body(Default::default())
.await?;
println!("{result:?}");
Ok(())
}
curl --request POST \
--url https://test.dodopayments.com/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"statement_descriptor": "<string>",
"support_email": "<string>",
"url": "<string>"
}
'
{
  "brand_id": "<string>",
  "business_id": "<string>",
  "enabled": true,
  "statement_descriptor": "<string>",
  "verification_enabled": true,
  "description": "<string>",
  "image": "<string>",
  "name": "<string>",
  "reason_for_hold": "<string>",
  "support_email": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
description
string | null
name
string | null
statement_descriptor
string | null
support_email
string | null
url
string | null

Response

200 - application/json

Created Brand

brand_id
string
required
business_id
string
required
enabled
boolean
required
statement_descriptor
string
required
verification_enabled
boolean
required
verification_status
enum<string>
required
Available options:
Success,
Fail,
Review,
Hold
description
string | null
image
string | null
name
string | null
reason_for_hold
string | null

Incase the brand verification fails or is put on hold

support_email
string | null
url
string | null
Last modified on March 25, 2026